Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.style
Class RtfFontList

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.style.RtfFontList

All Implemented Interfaces:
  RtfBasicElement, RtfExtendedElement

    public class RtfFontList

extends RtfElement
implements RtfExtendedElement

The RtfFontList stores the list of fonts used in the rtf document. It also has methods for writing this list to the document Version: $Id: RtfFontList.java 2996 2007-11-20 22:40:36Z hallm $

Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary
`private static byte[]` | `DEFAULT_FONT` Constant for the default font
`static byte[]` | `FONT_NUMBER` Constant for the font number
`private static byte[]` | `FONT_TABLE` Constant for the font table
`private ArrayList` | `fontList` The list of fonts

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfFontList(RtfDocument doc)` Creates a RtfFontList

Method Summary
`int` | `getFontNumber(RtfFont font)` Gets the index of the font in the list of fonts.
`byte[]` | `write()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeContent(OutputStream out)` unused
`byte[]` | `writeDefinition()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeDefinition(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeDefinition(OutputStream result)` Writes the definition of the font list

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.rtf.RtfBasicElement
`setInHeader, setInTable, setRtfDocument`

Field Detail

### DEFAULT_FONT

    private static final byte[] DEFAULT_FONT

  Constant for the default font

### FONT_TABLE

    private static final byte[] FONT_TABLE

  Constant for the font table

### FONT_NUMBER

    public static final byte[] FONT_NUMBER

  Constant for the font number

### fontList

    private ArrayList fontList

  The list of fonts

Constructor Detail

### RtfFontList

    public RtfFontList(RtfDocument doc)

  Creates a RtfFontList

  Parameters:
    `doc` - The RtfDocument this RtfFontList belongs to

Method Detail

### write

    public byte[] write()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0

  unused

  Specified by:
    `write` in interface `RtfBasicElement`
  Specified by:
    `write` in class `RtfElement`
  Returns:
    An empty byte array

### writeContent

    public void writeContent(OutputStream out)
                      throws IOException

  unused

  Specified by:
    `writeContent` in interface `RtfBasicElement`
  Overrides:
    `writeContent` in class `RtfElement`
  Throws:
    `IOException`

### getFontNumber

    public int getFontNumber(RtfFont font)

  Gets the index of the font in the list of fonts. If the font does not exist in the list, it is added.

  Parameters:
    `font` - The font to get the id for
  Returns:
    The index of the font

### writeDefinition

    public byte[] writeDefinition()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeDefinition(OutputStream)`, scheduled for removal at or after 2.1.0

  Writes the definition of the font list

  Specified by:
    `writeDefinition` in interface `RtfExtendedElement`
  Returns:
    A byte array with the definition of the font list

### writeDefinition

    public void writeDefinition(OutputStream result)
                         throws IOException

  Writes the definition of the font list

  Specified by:
    `writeDefinition` in interface `RtfExtendedElement`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD